      module wait
!****************************************************************
! This module is a component of VINE, copyright by the authors, *
! as listed below. Please see the COPYING and LICENSE files     *
! in the parent directory for additional information.           *
! This notification is present as an attempt to follow the      *
! recommendations for licensing published on the FSF page.      * 
!                                                               *
! Written by Andy Nelson                                        *
!****************************************************************


      implicit none

      public spin
      private


      contains
      subroutine spin(n,dum)

      integer, intent(in):: n
      double precision, intent(out):: dum

      integer i

      dum=0d0

      do i=1,n
         dum=dum+dble(i)
      enddo


      return
      end subroutine spin
      end module wait
